summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2017-01-20 17:24:04 +0100
committerChí-Thanh Christopher Nguyễn <chithanh@gentoo.org>2017-01-20 17:25:31 +0100
commitdcc4c3389bdc680e82d3d9a3952865b4d0b74ec5 (patch)
tree7f98f0b51827cb0afd873c94f605d1b9c0f3a6ec /sys-firmware
parentsys-firmware/amdgpu-ucode: update to latest firmware, switch to linux-firmwar... (diff)
downloadgentoo-dcc4c3389bdc680e82d3d9a3952865b4d0b74ec5.tar.gz
gentoo-dcc4c3389bdc680e82d3d9a3952865b4d0b74ec5.tar.bz2
gentoo-dcc4c3389bdc680e82d3d9a3952865b4d0b74ec5.zip
sys-firmware/radeon-ucode: update to latest firmware, switch to linux-firmware distfile
Package-Manager: portage-2.3.0
Diffstat (limited to 'sys-firmware')
-rw-r--r--sys-firmware/radeon-ucode/Manifest1
-rw-r--r--sys-firmware/radeon-ucode/radeon-ucode-20161005.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/sys-firmware/radeon-ucode/Manifest b/sys-firmware/radeon-ucode/Manifest
index 0b067076eb4..00da7d8d06f 100644
--- a/sys-firmware/radeon-ucode/Manifest
+++ b/sys-firmware/radeon-ucode/Manifest
@@ -1,3 +1,4 @@
+DIST linux-firmware-20170113.tar.xz 40606424 SHA256 dbc63d53ff12bff9ca0bc35ce91436356c2878dce41dc64d0f2b0c25b39e447b SHA512 28b9f4452f7b29d0a641585d792a19fe6eabe3aa9d383934f995c62a6f62db0cb877db16aaac4b2e2b7966f98e0f7b5737e206d0d8cd8a61aa64b2fb5a554749 WHIRLPOOL f63477f35d66c685039a6c85449eaf4416ee0fd32a3a8f5b69a0aa77c1f67759f7a8da05bb49d7cf82a9ac5a52ab44fe75ae6767347c73bb3538e70c3fb79e80
DIST radeon-ucode-20150511.tar.xz 732772 SHA256 7aa3825cb538826274b93a05a5d3168baa038855b3699a76f6d2512d3e1e5ce4 SHA512 f72afcdc18562fcd9eac4adb371c6bc40cd97b8478031e2b820f34997ce547c05e190b01e9eaaa408a9c557d8a957e3b1d42916683885da18676c79bd2fffd08 WHIRLPOOL 42a255d78dab2cd9737b408e29c718f3ed4008253a39207a5bb4cc64dbbb39d4e9efeb8f834c327c0650d3f3a100a9b782d521dd003d4e84adf559783b9dd9e2
DIST radeon-ucode-20160331.tar.xz 850404 SHA256 e8641c5d2fb69b24609d4915625083bae912a683514157af73db9363154debef SHA512 d8abc4507798a636f6bb54ae9f76a9a378079d3179b83bbe1540a633d5445a45400ba6a9f460e24a05dcaf1fb6ee66334cddb01cb39f4e59aa969a246510e4eb WHIRLPOOL 63af735154cbe017baf01b36aef9b98a6a6733f116fee0a898c5e5546a1ee8830b752b69e12ba49bebbd41143339520e0afd3905b41039e6b323f247c2521374
DIST radeon-ucode-20160616.tar.xz 813488 SHA256 ea535c05977ea8f1eecbac56e5bfeaa314d2440edf7844311d57b74b3033e5e1 SHA512 7851ba368722fc5f567a6a5d0d489e86469b6ec1f1a1dc3b60184af2cf0a094c1fa34a456d486694184d05cfffce43fc511a460d402e317f313a91832f9d854c WHIRLPOOL 995262f84ae033daf69d96cd26f50027b57f80e5621aed4b44ea944b5b441278a97876543e26c20cfaf82975c5212612e7a1ff31be740974dc7bc42495a048f7
diff --git a/sys-firmware/radeon-ucode/radeon-ucode-20161005.ebuild b/sys-firmware/radeon-ucode/radeon-ucode-20161005.ebuild
new file mode 100644
index 00000000000..0bf35c8230d
--- /dev/null
+++ b/sys-firmware/radeon-ucode/radeon-ucode-20161005.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit linux-info
+
+RADEON_UCODE_LINUX_FIRMWARE="linux-firmware-20170113"
+
+DESCRIPTION="IRQ microcode for r6xx/r7xx/Evergreen/N.Islands/S.Islands Radeon GPUs and APUs"
+HOMEPAGE="https://people.freedesktop.org/~agd5f/radeon_ucode/"
+SRC_URI="mirror://gentoo/${RADEON_UCODE_LINUX_FIRMWARE}.tar.xz"
+
+LICENSE="radeon-ucode"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+RDEPEND="!sys-kernel/linux-firmware[-savedconfig]"
+
+S=${WORKDIR}/${RADEON_UCODE_LINUX_FIRMWARE}
+
+src_unpack() {
+ unpack ${A}
+ mv linux-firmware-* ${RADEON_UCODE_LINUX_FIRMWARE} || die
+}
+
+src_install() {
+ insinto /lib/firmware
+ doins -r radeon
+ FILES=( radeon/*.bin )
+}
+
+pkg_postinst() {
+ if linux_config_exists && linux_chkconfig_builtin DRM_RADEON; then
+ if ! linux_chkconfig_present FIRMWARE_IN_KERNEL || \
+ ! [[ "$(linux_chkconfig_string EXTRA_FIRMWARE)" == *_rlc.bin* ]]; then
+ ewarn "Your kernel has radeon DRM built-in but not the IRQ microcode."
+ ewarn "For kernel modesetting to work, please set in kernel config"
+ ewarn "CONFIG_FIRMWARE_IN_KERNEL=y"
+ ewarn "CONFIG_EXTRA_FIRMWARE_DIR=\"/lib/firmware\""
+ ewarn "CONFIG_EXTRA_FIRMWARE=\"${FILES[@]}\""
+ ewarn "You may skip microcode files for which no hardware is installed."
+ ewarn "More information at https://wiki.gentoo.org/wiki/Radeon#Firmware"
+ fi
+ fi
+}